Ask Your Question
1

Is there a way to (manually) get VirtualBox to run with the 3.11 kernel?

asked 2013-09-22 18:22:45 -0500

chrisf gravatar image

updated 2014-09-28 10:24:40 -0500

mether gravatar image

I have updated to the latest, and VirtualBox no longer runs. There are no updated RPMs in either the VirtualBox repo, or rpmfusion-free for the new kernel.

When I try to start a VM, I get a message telling me that Linux kernel driver vboxdriver is not loaded, or trying to run

systemctl restart systemd-modules-load.service

This fails, because there is no current kmod-VirtualBox.

Is there a way around this until I can update with yum?

edit retag flag offensive close merge delete

4 Answers

Sort by ยป oldest newest most voted
0

answered 2013-09-22 18:32:57 -0500

nonamedotc gravatar image

updated 2013-09-22 18:33:28 -0500

I am running Virtualbox on Fedora 19 with Kernel 3.11. Use dkms with virtualbox installed from oracle's repo.

If you have virtualbox repo enabled, do yum install VirtualBox-4.2 dkms

It is possible that you will get an error when you try to launch a VM. Just do as directed. Most likely error message would ask the user to run this - /etc/init.d/vboxdrv setup as root.

After this, VirtualBox should work (hopefully).

edit flag offensive delete link more

Comments

Just a small note: I believe there are some buildsystem issues in rpmfusion which is probably why there is no kmod. Whether it has been fixed or not, I do not know.

nonamedotc gravatar imagenonamedotc ( 2013-09-22 18:39:37 -0500 )edit
1

answered 2014-01-03 17:05:46 -0500

sergiomb gravatar image

rpmfusion builder system has stopped in middle of Aug until middle of Sept, but now we are producing kmods and akmods for all stable kernel again .

edit flag offensive delete link more
0

answered 2013-10-08 01:25:12 -0500

hmaarrfk gravatar image

There was a post about this a while ago. I think the solution is to install the akmod package. It is explained here

https://ask.fedoraproject.org/question/9106/what-is-the-difference-between-an-akmod-and-kmod/

Personally, my solution was to keep 20 older version of the kernel until this problem is over.

edit flag offensive delete link more
0

answered 2013-09-22 20:09:32 -0500

Black gravatar image

updated 2013-10-07 05:19:37 -0500

Yes, there are some build system issues in rpm fusion, search for "akmod fedora 3.11" or check bug https://bugzilla.rpmfusion.org/show_bug.cgi?id=2959 (#2959) at bugzilla.rpmfusion.org for more information.

akmod-VirtualBox fails as well, right now you can't built it for 3.11 kernels on Fedora 19.

edit flag offensive delete link more

Comments

Thanks for the explanation, I was wondering why VirtualBox wasn't getting updated.

hmaarrfk gravatar imagehmaarrfk ( 2013-09-24 16:40:50 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2013-09-22 18:22:45 -0500

Seen: 878 times

Last updated: Jan 03 '14